FcStrBuildFilename(3)

NAME
FcStrBuildFilename - Concatenate strings as a file path

SYNOPSIS

#include <fontconfig/fontconfig.h>

FcChar8 * FcStrBuildFilename (const FcChar8 *path, ...);

DESCRIPTION

Creates a filename from the given elements of strings as file paths and concatenate them with the appropriate file separator. Arguments must be null-terminated. This returns a newly-allocated memory which should be freed when no longer needed.